Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class BulkheadPressureBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadPressureBean

@ApplicationScoped public class BulkheadPressureBean extends Object

## Constructor Summary

Constructors
Constructor
Description
`BulkheadPressureBean()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxInProgress()`
`void`
`reset()`
`void`
`servicePressure(long sleepTime)`
`Future<?>`
`servicePressureAsync(long sleepTime)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkheadPressureBean

public BulkheadPressureBean()

## Method Details

### servicePressure

@Bulkhead(5) public void servicePressure(long sleepTime)

### servicePressureAsync

@Asynchronous @Bulkhead(value=5, waitingTaskQueue=5) public Future<?> servicePressureAsync(long sleepTime)

### getMaxInProgress

public int getMaxInProgress()

### reset

public void reset()